{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule enabled;

  cfg = config.marleyos.programs.btop;
  inherit (config.marleyos.theme) colors;
in
{
  options = mkEnableModule "programs.btop";

  config = mkIf cfg.enable {
    programs.btop = {
      enable = true;

      rose-pine = mkIf colors.isRosePine enabled;

      settings = {
        theme_background = false;
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
