{
  lib,
  config,
  namespace,
  pkgs,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.neo;
in
{
  options = mkEnableModule "programs.neo";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      neo
    ];

    programs.fish.functions = mkIf config.programs.fish.enable {
      neo = {
        wraps = "neo";
        body = # fish
          ''
            command neo --charset=ascii $argv
          '';
      };
    };
  };
}
