{
  lib,
  config,
  namespace,
  pkgs,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.services.clipboard;
in
{
  options = mkEnableModule "services.clipboard";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      clipboard-jh
    ];

    home.sessionVariables = {
      CLIPBOARD_THEME = "ansi";
    };
  };
}
