{
  lib,
  config,
  namespace,
  pkgs,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.services.syncthing;
in
{
  options = mkEnableModule "services.syncthing";

  config = mkIf cfg.enable {
    home.packages = [
      config.services.syncthing.tray.package
    ];

    services.syncthing = {
      enable = true;

      tray = {
        enable = true;
        command = "syncthingtray";
        package = pkgs.syncthingtray-minimal;
      };
    };
  };
}
