{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.xorg.xsession;
in
{
  options = mkEnableModule "xorg.xsession";

  config = mkIf cfg.enable {
    xsession = {
      enable = true;

      numlock.enable = true;

      # TODO: Switch to autorandr.
      profileEtra = # sh
        ''
          sudo mount -a
          "${config.home.homeDirectory}/.config/xrandr/desktop.sh"
        '';

      initExtra = # sh
        ''
          mpd &
          pidgin &
        '';
    };
  };
}
